TYPO3.Flow - Task # 47346

Status: Resolved Priority: Should have
Author: Alexander Berl Category: Configuration
Created: 2013-04-18 Assigned To:

Updated: 2013-05-22 Due date:

Sprint:

PHP Version:

Has patch: No

Complexity:

Subject: Configuration schema for doctrine cachelmplementation still exists

Description

In http://forge.typo3.org/projects/package-typo3-flow3/repository/revisions/5e5ebf31970c572b49fc73f87832f351248f899f the setting

TYPO3.Flow.persistence.doctrine.cachelmplementation was removed, however the schema still contains it as required option, hence
configuration validation fails currently.

Related issues:
related to TYPOS3.Flow - Feature # 45264: Add Flow caching for Doctrine metada...
related to TYPOS3.Flow - Bug # 46053: Booting->initializeSystemLogger() uses a...

Resolved
Resolved

2013-02-08
2013-03-05

Associated revisions

Revision 3b554c96 - 2013-04-30 12:38 - Alexander Berl

[TASK] Update configuration schemas

This change updates the configuration schemas to the latest merges.

On top, it allows for configuration of doctrine connection

wrappers and the MasterSlaveConnection wrapper, that allows to setup

a master/slave database connection.

Change-Id: 197e1554411d9a0b7e194dfa8c30a318260b70fb8

Resolves: #47346

Releases: master, 2.0

Revision cb2d6fbd - 2013-05-21 14:22 - Alexander Berl

[TASK] Update configuration schemas

This change updates the configuration schemas to the latest merges.

On top, it allows for configuration of doctrine connection

wrappers and the MasterSlaveConnection wrapper, that allows to setup

a master/slave database connection.

Change-Id: 197e1554411d9a0b7e194dfa8c30a318260b70fb8

Resolves: #47346

Releases: master, 2.0

2015-08-04
http://forge.typo3.org/projects/package-typo3-flow3/repository/revisions/5e5ebf31970c572b49fc73f87832f351248f899f

History

#1 - 2013-04-18 13:57 - Alexander Berl
There's also a missing schema update for the log settings, following #46053.

Maybe this issue should be changed to a general schema update and contain a fix for the missing 'logger' setting option.

#2 - 2013-04-18 18:27 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20027

#3 - 2013-04-18 18:42 - Alexander Berl

| pushed a change that not only solves the two inconsistencies, but at the same time opens up the persistence configuration to support doctrine

connection wrappers like the MasterSlaveConnect available in Doctrine.DBAL, which allows to use Doctrine with a master/slave replication setup.

All that without one single line of code!

#4 - 2013-04-30 12:38 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/20027

#5 - 2013-04-30 12:38 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20027

#6 - 2013-05-21 14:22 - Gerrit Code Review

Patch set 1 for branch 2.0 has been pushed to the review server.

It is available at https://review.typo3.0rg/20945

#7 - 2013-05-22 21:36 - Alexander Berl
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:cb2d6fbdb8abe048eaf0bd36d080c842187250bf.
